%define mdkversion		%(perl -pe '/(\\d+)\\.(\\d)\\.?(\\d)?/; $_="$1$2".($3||0)' /etc/mandrake-release)

%define lib_major 2

%if %mdkversion > 900
%define lib_name %mklibname art_lgpl %{lib_major}
%else 
%define lib_name libart_lgpl%{lib_major}
%endif

Summary: Libart is a library for high-performance 2D graphics
Name: libart_lgpl
Version: 2.3.17
Release: 3mdk
Source0: http://ftp.gnome.org/pub/GNOME/sources/libart_lgpl/%{name}-%{version}.tar.bz2
License: LGPL
URL: http://www.levien.com/libart/
Group: System/Libraries
BuildRoot: %{_tmppath}/%{name}-%{version}-buildroot

%description
This is the LGPL'd component of libart.  Libart is a library for 
high-performance 2D graphics. All functions needed for
running the Gnome canvas, and for printing support, will be going in
here. The GPL'd component will be getting various enhanced functions
for specific applications.

%package -n %{lib_name}
Summary:	%{summary}
Group:		System/Libraries
Provides:	%{name} = %{version}-%{release}

%description -n %{lib_name}

This is the LGPL'd component of libart.  Libart is a library for 
high-performance 2D graphics. All functions needed for
running the Gnome canvas, and for printing support, will be going in
here. The GPL'd component will be getting various enhanced functions
for specific applications.

%package -n %{lib_name}-devel
Summary:	%{summary}
Group:		Development/GNOME and GTK+
Provides:	art_lgpl-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Requires:   pkgconfig >= 0.8
Requires:   %{lib_name} = %{version}-%{release}


%description -n %{lib_name}-devel

This is the LGPL'd component of libart.  Libart is a library for 
high-performance 2D graphics. All functions needed for
running the Gnome canvas, and for printing support, will be going in
here. The GPL'd component will be getting various enhanced functions
for specific applications.


%prep
%setup -q

%build

%if %mdkversion <= 1000
#we don't use libtool 1.5 yet
%define __libtoolize /bin/true
%endif

%if %mdkversion >= 900
%configure2_5x
%else
%configure
%endif

%make

%install
rm -rf $RPM_BUILD_ROOT

%if %mdkversion >= 900
%makeinstall_std
%else
%makeinstall
%endif
%multiarch_binaries %buildroot%_bindir/*-config
%multiarch_includes %buildroot%_includedir/libart-2.0/libart_lgpl/art_config.h

%clean
rm -rf $RPM_BUILD_ROOT

%post -n %{lib_name} -p /sbin/ldconfig

%postun -n %{lib_name} -p /sbin/ldconfig

%files -n %{lib_name}
%defattr(-,root,root)
%{_libdir}/*.so.*

%files -n %{lib_name}-devel
%defattr(-,root,root)
%{_bindir}/*-config
%{_bindir}/*/libart2-config
%{_includedir}/*
%{_libdir}/*.la
%{_libdir}/*.a
%{_libdir}/*.so
%{_libdir}/pkgconfig/*


%changelog
* Fri Jul 08 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 2.3.17-3mdk
- fix provides on x86_64

* Mon Jan 31 2005 Gtz Waschk <waschk@linux-mandrake.com> 2.3.17-2mdk
- multiarch support

* Fri Jan 21 2005 Goetz Waschk <waschk@linux-mandrake.com> 2.3.17-1mdk
- New release 2.3.17

* Fri Jul 16 2004 Gtz Waschk <waschk@linux-mandrake.com> 2.3.16-2mdk
- spec fixes

* Wed Sep 10 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.3.16-1mdk
- Release 2.3.16 (previous entry was wrong)

* Tue Sep 02 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.3.15-1mdk
- Release 2.4.15

* Mon Aug 11 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 2.3.14-1mdk
- Release 2.3.14

* Fri Jul 11 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 2.3.13-1mdk
- Release 2.3.13

* Thu Jul 10 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 2.3.12-2mdk
- Recompiled for latest provides

* Wed May 07 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 2.3.12-1mdk
- Release 2.3.12
- mklibnamification

* Fri Nov 29 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.3.11-1mdk
- Release 2.3.11

* Wed Jul 31 2002 Jeff Garzik <jgarzik@mandrakesoft.com> 2.3.10-2mdk
- Build for mandrake release 9.0, not 8.3

* Tue Jul  2 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.3.10-1mdk
- Release 2.3.10

* Mon Jun 24 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.3.9-1mdk
- Release 2.3.9

* Thu Jun 20 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 2.3.8-3mdk
- Fix compile under MDK8.0/8.1/8.2

* Fri Mar 22 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.3.8-2mdk
- Grr, fix libification

* Thu Mar 21 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.3.8-1mdk
- First Mandrake package
